Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 08 Jul 2022 17:07:18 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Baaaaaaad service !!!!!! 

The delivery man get out with my order 3 time he didn't deliver last 2 time I send to him the location and picture of the door and number of house and couldn't understand   

I contact the call center and chat online  they didnt do any thing, I told them I will travel the driver come same day Of my trip !!!!!! 
Note I ordered before the travel day for 9 days 
Really I am disappointed for the first time from landmark 

I want to cancel my order https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4602088